Subject: bug#14192: closed (Re: bug#14192: 24.3.50; recursive edit while running ispell not working usefully)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 27 Jan 2024 09:11:02 +0000

Your bug report

#14192: 24.3.50; recursive edit while running ispell not working usefully

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14192: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=14192
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14192: 24.3.50; recursive edit while running ispell not working usefully
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 27 Jan 2024 11:09:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked]
> Date: Sun, 14 Jan 2024 08:29:33 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Michael Heerdegen <[email-masked]>
> > Cc: Stefan Kangas <[email-masked]>,  [email-masked]
> > Date: Sun, 14 Jan 2024 02:25:20 +0100
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > > FTR: C-r indeed was not meant to be used to modify the misspelled
> > > word.  ispell.el has 'r' and 'R' commands for that.  C-r is for
> > > consulting the rest of the text, without modifying it and without
> > > disrupting the spelling session.  An alternative is to type 'X', make
> > > any modifications you want, and then resume spelling with "C-u M-$".
> > 
> > Thanks - especially for your concretizations of the spell checking
> > related parts in the user manual.
> > 
> > I find it an a bit obscure design that there is C-r that reverses edits,
> > then X, which allows to resume the session, and C-g, which doesn't allow
> > resuming.  Maybe less commands would suffice.  But I don't use ispell
> > often, I can't really tell whether the interface is intuitive, and
> > nobody else seems to be interested in this topic.
> 
> I'm not opposed to patches to maybe make the C-r scenario less
> surprising.  But in general, C-r is an obscure command in this case;
> it isn't an accident that it was not even documented in the user
> manual until recently.  The alternatives described above are IMO
> better.
> 
> > So, if we don't get any other replies until some more time has passed,
> > I'm ok with closing this one.
> 
> Will do in a week or two.

Done.

Subject: 24.3.50; recursive edit while running ispell not working usefully
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Fri, 12 Apr 2013 17:00:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I think the most common use of entering a recursive edit in an ispell
session (C-r) would be to modify the checked buffer - especially, to
substitute the currently checked word with some other text.  But
whenever I exit the recursive edit (C-M-c), the deleted text reappears
and is highlighted again as unknown by ispell.  I see this in emacs -Q,
e.g. after M-x ispell-buffer in *scratch*.

If this most simple case - replacing the current word - is not working,
we shouldn't IMHO advertise C-r in `ispell-help' etc.

(Had raised this issue in emacs.devel before, but had gotten no answer.)

Thanks,

Michael.

In GNU Emacs 24.3.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.2)
 of 2013-04-10 on dex, modified by Debian
 (emacs-snapshot package, version 2:20130410-1)
Windowing system distributor `The X.Org Foundation', version 11.0.11204000
System Description:	Debian GNU/Linux 7.0 (wheezy)

Configured using:
 `configure --build x86_64-linux-gnu --host x86_64-linux-gnu
 --prefix=/usr --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var --infodir=/usr/share/info --mandir=/usr/share/man
 --with-pop=yes
 --enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.3.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3.50/site-lisp:/usr/share/emacs/site-lisp
 --without-compress-info --with-crt-dir=/usr/lib/x86_64-linux-gnu/
 --with-x=yes --with-x-toolkit=gtk3 --with-imagemagick=yes
 CFLAGS='-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2'
 CPPFLAGS='-D_FORTIFY_SOURCE=2' LDFLAGS='-g -Wl,--as-needed
 -znocombreloc''

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t